Bug 500370 - /usr/bin/kdm needs gnome-keyring-pam dependency?
/usr/bin/kdm needs gnome-keyring-pam dependency?
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 09:28 EDT by Ronald L Humble
Modified: 2015-03-03 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 21:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald L Humble 2009-05-12 09:28:11 EDT
Description of problem:
From logwatch email to root:
**Unmatched Entries**
    kdm: :0: PAM adding faulty module: /lib/security/pam_gnome_keyring.so: 1 Time(s)
    kdm: :0: PAM unable to dlopen(/lib/security/pam_gnome_keyring.so): /lib/security/pam_gnome_keyring.so: cannot open shared object
+file: No such file or directory: 1 Time(s)

gnome-keyring-pam-2.26.1-1.fc11.i586 would appear to satisfy kdm and eliminate the error. The above rpm was installed manually. kdm rpm should have 
gnome-keyring-pam as a dependency for installation?

Version-Release number of selected component (if applicable):
kdm-4.2.2-5.fc11.i586

Fresh install of FC11 from KDE-Live-Preview CDROM
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: I have noticed no adverse system behavior, though I might not know what to expect from this possible omission.
Comment 1 Ronald L Humble 2009-05-12 09:59:40 EDT
CLOSE THIS BUG. I apologize. My .bashrc had a path to my compiled kde environment first in the path.

Note You need to log in before you can comment on or make changes to this bug.